Create Sub Merchant

Overview

The Sub Merchant API enables you to manage sub-merchant registrations and retrieve sub-merchant details under your enterprise account. This is part of the Connected Banking Enterprise product.


1. Register Sub Merchant

Register a new sub-merchant under your enterprise account.

Endpoint
POST https://id-service.open.money/v1/connected_banking/sub_merchant/register

Request

Headers

Content-Type: application/json
Authorization: Bearer <access_key:secret_key>

Body

{
  "first_name": "Test",
  "last_name": "User",
  "email": "[email protected]",
  "username": "9876543213"
}

Request Parameters

ParameterTypeRequiredDescription
first_nameStringYesSub-merchant's first name
last_nameStringYesSub-merchant's last name
emailStringYesSub-merchant's email address
usernameStringYesSub-merchant's unique phone number/username

Response

Success (200 OK)

{
  "status": "success",
  "data": {
    "sub_merchant_id": "019fb1f1-c555-7340-ad42-3b6bd45b0a6f",
    "is_sandbox": true,
    "first_name": "T**t",
    "last_name": "U**r",
    "email": "te******[email protected]",
    "username": "98******13"
  },
  "error": null,
  "meta": {
    "timestamp": "2026-07-30T07:33:59Z"
  }
}

Failure (400 Bad Request / Conflict)

{
  "status": "failed",
  "data": null,
  "error": {
    "code": "OPN_CB_SM_004",
    "message": "User Already Registered",
    "details": []
  },
  "meta": {
    "timestamp": "2026-07-30T07:34:41Z"
  }
}